package shop.alien.util.string;

/**
 * 字符串处理
 *
 * @author ssk
 * @version 1.0
 * @date 2024/2/15 17:42
 */
public class StringUtil {

//    public static void main(String[] args) {
//        StringUtil stringUtil = new StringUtil();
//        String a = "223 3 #d 的 是个很__  EEE=+";
//        String b = "(❁´◡`❁)_✲ﾟ_龙一拾首，鸿运当头，万事当顺指谁谁发财20240205193753089345010";
//        String c = "新年快乐虽然又是一个人跨年(º﹃º )跨年2024甜妹ootd穿搭御姐范20240215015611402";
//        System.out.println(stringUtil.getString(c));
//    }

    /**
     * 去除数字,英文,汉字之外的内容
     * 并且去除空格,制表符
     *
     * @param str 要处理的字符串
     * @return 处理后的字符串
     */
    public static String getString(String str) {
        str = str.replaceAll("[^a-zA-Z0-9\\u4E00-\\u9FA5]", "");  //去除数字，英文，汉字  之外的内容
        str = str.replaceAll("[\\s*|\t|\r|\n]", "");  // 去除所有空格，制表符
        return str;
    }

    /**
     * 星期数字转中文
     *
     * @param num 数字星期
     * @return
     */
    public static String weekNumToChar(String num) {
        String result = "";
        switch (num) {
            case "1":
                result = "一";
                break;
            case "2":
                result = "二";
                break;
            case "3":
                result = "三";
                break;
            case "4":
                result = "四";
                break;
            case "5":
                result = "五";
                break;
            case "6":
                result = "六";
                break;
            case "7":
                result = "日";
                break;
        }
        return result;
    }

}
